[RCU] [SMTP, SSL] Roundcube 1.2.2 - never use TLSv1.2 and always fallback to TLSv1 when sends mail

A.L.E.C alec at alec.pl
Thu Nov 10 12:33:05 CET 2016


On 10.11.2016 11:55, Paweł Łukasik wrote:
> Yes, I'm pretty sure it's problem with RC - it uses TLSv1.2 for IMAP
> connections but not for SMTP.
> PHP is rather new (Debian 7):
> 
> php --version
> PHP 5.4.45-1~dotdeb+7.1 (cli) (built: Sep  5 2015 00:21:03)
> Copyright (c) 1997-2014 The PHP Group
> Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies

I'm afraid you need PHP 5.6 according to this
http://php.net/manual/en/function.stream-socket-enable-crypto.php

I have no idea how did you get IMAP connection to use TLS 1.2.
As I've said both SMTP and IMAP code use the same way of setting TLS.

ps. PHP 5.4 is no longer supported by PHP.

-- 
Aleksander 'A.L.E.C' Machniak
Kolab Groupware Developer         [http://kolab.org]
Roundcube Webmail Developer   [http://roundcube.net]
----------------------------------------------------
PGP: 19359DC1 # Blog: https://kolabian.wordpress.com


More information about the users mailing list